package com.sky.ioc.service.carbon.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.Label;
import com.sky.ioc.entity.Cake;
import com.sky.ioc.entity.News;
import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.tool.GeneralMethod;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO  双碳
 * @Description
 * @Author LunCe
 * @Date 2023/2/22 11:40
 **/

@Service
public class CarbonServiceImpl implements CarbonService {




    /**
     * TODO  智能看板 --碳配额
     * @Description
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 11:41
     */
    @Override
    public ReturnMsg getCarbonQuota() {
        String[] param = {"consumed","carbonQuota"};
        String[] labelKey = {"总部","规划院","郑分","广分","上分"};
        List<Label> labels = GeneralMethod.getInstance().dataGeneration(param, labelKey);
        return ReturnMsg.ok(labels);
    }

    @Override
    public ReturnMsg getPrintingCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        /*ThreadLocalRandom random = ThreadLocalRandom.current();
        int personCost = random.nextInt(10, 100);
        int personPaper = random.nextInt(10,20);
        int personC = random.nextInt(15,100);
        int personNum = random.nextInt(1,20);
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",personCost);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",personPaper);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",personC);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value",personNum);
        objects.get(3).put("compare",compare);*/
        objects.get(0).put("value",10);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",80);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",80);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("今日人流高峰在9:00/17:00，记得提前做好应对喔");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getPrintingCostTrend(IocParam iocParam) {
        String[] param = {"cost"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getConferenceRoomInfo(IocParam iocParam) {
        String[] param = {"print","inkCartridge"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getBusCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
       /* ThreadLocalRandom random = ThreadLocalRandom.current();
        int carCost = random.nextInt(10000, 1000000);
        int carTimes = random.nextInt(10,80);
        int carC = random.nextInt(150,500);
        int carHours = random.nextInt(1,20);
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",carCost);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",carTimes);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",carC);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value",carHours);
        objects.get(3).put("compare",compare);*/
        objects.get(0).put("value",100);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",80);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",80);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("增加20个公车数量");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getBusInfo(IocParam iocParam) {
        String[] param = {"averageDuration","numberTrips"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getBusCostTrend(IocParam iocParam) {
        String[] param = {"cost"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getFloorCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int stockCarbon = random.nextInt(10, 100);
        int totalCarbon = random.nextInt(100,8000);
        int areaCarbon = random.nextInt(10,800);
        int personCarbon = random.nextInt(10,80);
        while (areaCarbon>totalCarbon){
            areaCarbon = random.nextInt(10,800);
        }
        while (personCarbon>totalCarbon){
            personCarbon = random.nextInt(10,80);
        }
        int derCarbon = random.nextInt(10,80);
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));

        objects.get(0).put("value",stockCarbon);

        objects.get(1).put("value",totalCarbon);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",areaCarbon);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value",personCarbon);
        objects.get(3).put("compare",compare);
        objects.add(new JSONObject());
        objects.get(4).put("value",derCarbon);
        objects.get(4).put("compare",compare);

        indeicator.setWorthAttention("减少2辆车出行一周");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getCarbonInfo(IocParam iocParam) {
        String[] param = {"zhongxun","guihuayuanBJ","zhengfen","guangfen","shangfen","chengfen"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getCarbonQuotaComposition(IocParam iocParam) {
        String[] param = {"stock","consume"};
        String[] labKey = {"中旬","规划院","成分","上分","广分","郑分"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getCarbonNews(IocParam iocParam) {
        List<News> newsList = new ArrayList<>();
        newsList.add(new News());
        newsList.add(new News());
        newsList.add(new News());
        return ReturnMsg.ok(newsList);
    }

    @Override
    public ReturnMsg getCarbonProportion(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("dieselOil"));
        list.add(new Cake("gasoline"));
        list.add(new Cake("naturalGas"));
        list.add(new Cake("power"));
        list.add(new Cake("qita"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getVehicleCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int totalDistance = random.nextInt(50, 200);
        int avgDistance = random.nextInt(5,100);
        int avgHours = random.nextInt(1,10);
        int avgCarbon = random.nextInt(50,500);
        while (avgDistance>totalDistance){
            avgDistance = random.nextInt(5,100);
        }
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));

        objects.get(0).put("value",totalDistance);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",avgDistance);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",avgHours);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value",avgCarbon);
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("减少2辆车出行一周");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getVehicleInfo(IocParam iocParam) {
        String[] param = {"zhongxun","guihuayuanBJ","zhengfen","guangfen","shangfen","chengfen"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getVehicleInfoOrder(IocParam iocParam) {
        String[] param = {"Vehicle"};
        String[] labKey = {"中旬","规划院","成分","上分","广分","郑分"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getPrintCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int totalPrint = random.nextInt(100, 1000);
        int avgPrint = random.nextInt(50,500);
        int avgPaper = random.nextInt(1,200);
        int avgCartridge = random.nextInt(10,100);
        while (avgCartridge>avgPaper){
            avgCartridge = random.nextInt(10,100);
        }
        while (avgPrint>totalPrint){
            avgPrint = random.nextInt(50,500);
        }
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",totalPrint);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",avgPrint);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",avgPaper);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value",avgCartridge);
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("限制人均每天打印100张以内");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getPrintInfoOrder(IocParam iocParam) {
        String[] param = {"Print"};
        String[] labKey = {"中旬","规划院","成分","上分","广分","郑分"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getPrintInfo(IocParam iocParam) {
        String[] param = {"zhongxun","guihuayuanBJ","zhengfen","guangfen","shangfen","chengfen"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getPhotovoltaicInfoOrder(IocParam iocParam) {
        String[] param = {"Photovoltaic"};
        String[] labKey = {"中旬","规划院","成分","上分","广分","郑分"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getPhotovoltaicInfo(IocParam iocParam) {
        String[] param = {"zhongxun","guihuayuanBJ","zhengfen","guangfen","shangfen","chengfen"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getPhotovoltaicCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int reduPhotovoltaic = random.nextInt(1000, 10000);
        int elecPhotovoltaic = random.nextInt(500,5000);
        int savePhotovoltaic = random.nextInt(500,5000);
        int subPhotovoltaic = random.nextInt(100,1000);

        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",reduPhotovoltaic);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",elecPhotovoltaic);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",savePhotovoltaic);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value",subPhotovoltaic);
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("建议扩大光伏发电面积");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getPhotovoltaicPower() {
        String[] param = {"realTime"};
        String[] labelKey = {"8:00-10:00","10:00-12:00","12:00-14:00","14:00-16:00","16:00-18:00"};
        List<Label> labels = GeneralMethod.getInstance().dataGeneration(param, labelKey);
        return ReturnMsg.ok(labels);
    }


    @Override
    public ReturnMsg getAnalyseCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        int totalKwh = random.nextInt(10, 100);
        int totalM = random.nextInt(10, 100);
        int costCount = random.nextInt(1000, 5000);
        int costAvg = random.nextInt(300, 1000);
        while (costAvg>costCount){
            costAvg = random.nextInt(300, 1000);
        }
        float compare = (float) Math.random();
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",totalKwh);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",totalM);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",costCount);
        objects.get(2).put("compare",compare);

        objects.get(3).put("value",costAvg);
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("人均成本过高，请购买智能源服务");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getAnalyseWaterCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",98);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",50);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",100);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",1000);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("人均成本过高，请购买智能源服务");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getAnalysePowerCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",98);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",30);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",100);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",1000);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("人均成本过高，请购买智能源服务");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getAnalyseHotCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",98);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",50);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",100);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",1000);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("人均成本过高，请购买智能源服务");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getAnalyseColdCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",98);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",50);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",100);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",1000);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("人均成本过高，请购买智能源服务");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getAnalyseCpvCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",98);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",50);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",100);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",1000);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("人均成本过高，请购买智能源服务");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getPhotovoltaicProfit() {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("amountSubsidy"));
        list.add(new Cake("saving"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyTrendsAnalyseWater(IocParam iocParam) {
        String[] param = {"tapWater","recycledWater"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnergyTrendsAnalysePower(IocParam iocParam) {
        String[] param = {"tip","seal","flat","valley"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnergyTrendsAnalyseHot(IocParam iocParam) {
        String[] param = {"heatConsumption"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnergyTrendsAnalyseCold(IocParam iocParam) {
        String[] param = {"refrigerationCapacity","energyConsumption"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnergyTrendsAnalyseCpv(IocParam iocParam) {
        String[] param = {"powerGeneration","outputPower"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnergyTrendsTotal(IocParam iocParam) {
        String[] param = {"water","cpv","cold","hot","power"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnergyTrendsAnalyseCpvInfo(IocParam iocParam) {
        String[] param = {"governmentSubsidies","save"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnergyAnalysisWater(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("office"));
        list.add(new Cake("computerRoom"));
        list.add(new Cake("restaurant"));
        list.add(new Cake("parkingLot"));
        list.add(new Cake("qita"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisTotal(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("power"));
        list.add(new Cake("hot"));
        list.add(new Cake("clod"));
        list.add(new Cake("cpv"));
        list.add(new Cake("water"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisPower(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("computerRoom"));
        list.add(new Cake("socket"));
        list.add(new Cake("lighting"));
        list.add(new Cake("airConditioner"));
        list.add(new Cake("qita"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisHot(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        System.out.println(list);
        list.add(new Cake("computerRoom"));
        list.add(new Cake("parking"));
        list.add(new Cake("restaurant"));
        list.add(new Cake("office"));
        list.add(new Cake("qita"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisClod(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        System.out.println(list);
        list.add(new Cake("function"));
        list.add(new Cake("whole"));
        list.add(new Cake("clodTotal"));
        list.add(new Cake("perCapitaCost"));
        list.add(new Cake("inletWaterTemperature"));
        list.add(new Cake("outletWaterTemperature"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisCpv(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        System.out.println(list);
        list.add(new Cake("function"));
        list.add(new Cake("whole"));
        list.add(new Cake("electricTotal"));
        list.add(new Cake("electricDate"));
        list.add(new Cake("profitTotal"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisTotalInfo(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        System.out.println(list);
        list.add(new Cake("monthlyEnergySaving"));
        list.add(new Cake("annualEnergySaving"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisWaterInfo(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        System.out.println(list);
        list.add(new Cake("waterConsumptionTotal"));
        list.add(new Cake("perCapitaCost"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisPowerInfo(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        System.out.println(list);
        list.add(new Cake("powerConsumptionTotal"));
        list.add(new Cake("energyConservation"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getEnergyAnalysisHotInfo(IocParam iocParam) {
        List<Cake> list = new ArrayList<>();
        System.out.println(list);
        list.add(new Cake("heatConsumptionTotal"));
        list.add(new Cake("perCapitaCost"));
        return ReturnMsg.ok(list);
    }

}
