package com.sky.ioc.service.energy.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.Label;
import com.sky.ioc.entity.Cake;
import com.sky.ioc.service.energy.EnergyService;
import com.sky.ioc.tool.GeneralMethod;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO
 * @Description  能源实现类
 * @Author LunCe
 * @Date 2023/2/23 11:24
 **/
@Service
public class EnergyServiceImpl implements EnergyService {
    @Override
    public ReturnMsg getElectricityCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int todayElec = random.nextInt(25, 300);//今日用电
        int personElec = random.nextInt(10,50);//人均
        int top = random.nextInt(0,100);//同比上升
        int totalElec = random.nextInt(500, 3000);
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));

        objects.get(0).put("value",totalElec);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",todayElec);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",top);

        objects.get(3).put("value",personElec);
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("用电成本月增速5%，主为动力用电");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getElectricityInfoList() {
        String[] param = {"powerConsumption"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getElectricityCircleInfoList() {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("qita"));
        list.add(new Cake("gonggong"));
        list.add(new Cake("xinxi"));
        list.add(new Cake("zhaoming"));
        list.add(new Cake("dongli"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getWaterCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int todayWater = random.nextInt(25, 300);//今日
        int personWater = random.nextInt(10,50);//人均
        int top = random.nextInt(0,100);//同比上升
        int totalWater = random.nextInt(500, 3000);
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",totalWater);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",todayWater);
        objects.get(1).put("compare",compare);

        objects.get(2).put("value",top);

        objects.get(3).put("value",personWater);
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("用水量低于行业标准20%");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getWaterInfoList() {
        String[] param = {"water"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getWaterCircleInfoList() {
        List<Cake> list = new ArrayList<>();
        list.add(new Cake("tapWater"));
        list.add(new Cake("recycledWater"));
        return ReturnMsg.ok(list);
    }

    @Override
    public ReturnMsg getUseColdCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int percentCold = random.nextInt(10, 100);
        int personCold = random.nextInt(10,50);
        int top = random.nextInt(0,100);//同比上升
        int totalCold = random.nextInt(500, 3000);
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",totalCold);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",top);

        objects.get(2).put("value",percentCold);

        objects.get(3).put("value",personCold);
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("本月用冷超过行业标准20%");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getUseColdInfoList() {
        String[] param = {"coolingCapacity","temperature"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getUseHeatCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        ThreadLocalRandom random = ThreadLocalRandom.current();
        int percentHeat = random.nextInt(10, 100);
        int personHeat = random.nextInt(10,50);
        int top = random.nextInt(0,100);//同比上升
        int totalHeat = random.nextInt(500, 3000);
        float compare = (float) Math.random();
        DecimalFormat decimalFormat = new DecimalFormat("#.0");
        compare = Float.parseFloat(decimalFormat.format(compare));
        objects.get(0).put("value",totalHeat);
        objects.get(0).put("compare",compare);

        objects.get(1).put("value",top);

        objects.get(2).put("value",10);

        objects.get(3).put("value",personHeat);
        objects.get(3).put("compare",compare);
        indeicator.setWorthAttention("本月用热将超过行业标准20%");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getUseHeatInfoList() {
        String[] param = {"heatConsumption","temperature"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }
}
